View Issue Details

IDProjectCategoryLast Update
0019799AI War 2[All Projects] Gameplay IssueAug 8, 2018 1:30 pm
ReporterBadgerBadgerAssigned ToBadgerBadger 
Severityminor 
Status resolvedResolutionfixed 
Product Version0.750 My Friend The Marauder 
Fixed in Version0.759-0.760 Only The Start of Discovery 
Summary0019799: Engineers choose repair targets very inefficiently
DescriptionAfter a large battle, I have a bunch of engineers on a planet and a bunch of turrets in "remains" form. The engineers all travel as a group to repair one turret at a time (which then happens very quickly). They then will seemingly pick another turret a long way from the first, then all fly as a group over there. The practical upshot is that engineers seem to spend most of their time flying very inefficiently between turrets, instead of repairing all nearby turrets at once.
TagsNo tags attached.
Internal Weight

Activities

x4000Bughunter

Jul 19, 2018 11:26 am

administrator   ~0047937

Keith had noted that this algorithm was really bad and temporary. Thanks for taking on fixing this up when you get a chance. :)

BadgerBadger

Jul 30, 2018 10:48 am

manager   ~0048137

Notes to self

The metal is actually spent in Faction.cs::DoFactionStepLogic(), look for references to MetalFlowPurpose.RepairingHullsOfFriendlies.

The code figures out what to spend metal on in MetalFlowPlanning.cs
That code seems to do something like this
    OuterCheckRepairable:
       If the unit that can spend metal is an RFD engineer, find all the units "near" it that need to be repaired
         then call DelegateHelper_MetalFlowPlanning_CheckRepairable to try to find the optimal target
   if OuterCheckRepairable found anything, add it to the list of things to repaid (plannedFlows.Recipipents.Add)

BadgerBadger

Aug 8, 2018 1:30 pm

manager   ~0048212

Fixed! Or at least, Improved!

Issue History

Date Modified Username Field Change
Jul 19, 2018 11:15 am BadgerBadger New Issue
Jul 19, 2018 11:15 am BadgerBadger Status new => assigned
Jul 19, 2018 11:15 am BadgerBadger Assigned To => BadgerBadger
Jul 19, 2018 11:26 am x4000Bughunter Note Added: 0047937
Jul 30, 2018 10:48 am BadgerBadger Note Added: 0048137
Aug 8, 2018 1:30 pm BadgerBadger Status assigned => resolved
Aug 8, 2018 1:30 pm BadgerBadger Resolution open => fixed
Aug 8, 2018 1:30 pm BadgerBadger Fixed in Version => 0.759-0.760 Only The Start of Discovery
Aug 8, 2018 1:30 pm BadgerBadger Note Added: 0048212